<?php

namespace EventPortal\Domain\Permission\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;
use Spatie\Permission\Models\Permission as PermissionModel;

class Permission extends PermissionModel implements AuditableInterface
{
    use Auditable;

    public function group(): BelongsTo
    {
        return $this->belongsTo(Group::class);
    }
}
